Sync Groups - List Logs

동기화 그룹 로그의 컬렉션을 가져옵니다.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?api-version=2025-01-01&startTime={startTime}&endTime={endTime}&type={type}
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?api-version=2025-01-01&startTime={startTime}&endTime={endTime}&type={type}&continuationToken={continuationToken}

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
databaseName
path True

string

데이터베이스의 이름입니다.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

serverName
path True

string

서버의 이름입니다.

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

syncGroupName
path True

string

동기화 그룹의 이름입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

endTime
query True

string

이 시간 전에 생성된 로그를 가져옵니다.

startTime
query True

string

이 시간 이후에 생성된 로그를 가져옵니다.

type
query True

SyncGroupsType

검색할 로그의 형식입니다.

continuationToken
query

string

이 작업에 대한 연속 토큰입니다.

응답

Name 형식 Description
200 OK

SyncGroupLogListResult

Azure 운영이 성공적으로 완료되었습니다.

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Get sync group logs

샘플 요청

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-65440/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187/logs?api-version=2025-01-01&startTime=2017-01-01T00:00:00&endTime=2017-12-31T00:00:00&type=All

샘플 응답

{
  "value": [
    {
      "type": "Success",
      "operationStatus": "SchemaRefreshSuccess",
      "source": "syncgroupcrud-8475.database.windows.net/hub",
      "timestamp": "2017-05-30T07:16:08.25Z",
      "tracingId": "c0480c8e-6269-424e-9404-b00efce0ebae",
      "details": "Schema information obtained successfully."
    },
    {
      "type": "Error",
      "operationStatus": "SchemaRefreshFailure",
      "source": "syncgroupcrud-8475.database.windows.net/member",
      "timestamp": "2017-05-30T07:03:37.5733333Z",
      "tracingId": "cd3aa28c-0c31-471f-8a77-f1b21c908cbd",
      "details": "Getting schema information for the database failed with the exception \"Failed to connect to server .\nInner exception: SqlException Error Code: -2146232060 - SqlError Number:53, Message: A network-related or instance-specific error occurred while establishing a connection to SQL Server. The server was not found or was not accessible. Verify that the instance name is correct and that SQL Server is configured to allow remote connections. (provider: Named Pipes Provider, error: 40 - Could not open a connection to SQL Server) \nInner exception: The network path was not found\n For more information, provide tracing ID ‘cd3aa28c-0c31-471f-8a77-f1b21c908cbd’ to customer support.\""
    }
  ]
}

정의

Name Description
ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

SyncGroupLogListResult

동기화 그룹 로그 속성 목록입니다.

SyncGroupLogProperties

Azure SQL Database sync group log의 속성.

SyncGroupLogType

동기화 그룹 로그의 유형입니다.

SyncGroupsType

검색할 로그의 형식입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

SyncGroupLogListResult

동기화 그룹 로그 속성 목록입니다.

Name 형식 Description
nextLink

string (uri)

항목의 다음 페이지에 대한 링크

value

SyncGroupLogProperties[]

이 페이지의 SyncGroupLogProperties 항목들

SyncGroupLogProperties

Azure SQL Database sync group log의 속성.

Name 형식 Description
details

string

동기화 그룹 로그의 세부 정보입니다.

operationStatus

string

동기화 그룹 로그의 OperationStatus입니다.

source

string

동기화 그룹 로그의 원본입니다.

timestamp

string (date-time)

동기화 그룹 로그의 타임스탬프입니다.

tracingId

string (uuid)

동기화 그룹 로그의 TracingId입니다.

type

SyncGroupLogType

동기화 그룹 로그의 유형입니다.

SyncGroupLogType

동기화 그룹 로그의 유형입니다.

값 Description
All

전체

Error

오류

Warning

경고

Success

성공

SyncGroupsType

검색할 로그의 형식입니다.

값 Description
All

전체

Error

오류

Warning

경고

Success

성공